# TextFormatConverter

**TextFormatConverter** is a Python package for converting text from one format to another—such as converting JSON to Markdown or CSV to XML. It provides both a command-line interface and a Python API so you can integrate it easily into your workflow or other Python projects.

## Table of Contents

- [Features](#features)
- [Installation](#installation)
- [Usage](#usage)
  - [CLI Usage](#cli-usage)
  - [Python API Usage](#python-api-usage)
- [Examples](#examples)
- [Contributing](#contributing)
- [License](#license)

---

## Features

- **Multiple Format Support**: Convert between JSON, Markdown, CSV, XML, and more.
- **Easy to Use**:
  - Command-line tool for quick conversions.
  - Python API for seamless integration into your code.
- **Extensible**: Add or modify converters for new or custom file formats.
- **Lightweight**: Minimal dependencies for fast installation and usage.

---

## Installation

You can install **TextFormatConverter** using pip:

```bash
pip install textformatconverter
